Change log for spatialite package in Ubuntu

126 of 26 results
Published in focal-release on 2019-11-23
Deleted in focal-proposed (Reason: moved to Release)
spatialite (4.3.0a-6build1) focal; urgency=medium

  * Rebuild against new libproj15.

 -- Gianfranco Costamagna <email address hidden>  Sat, 26 Oct 2019 13:59:18 +0200
Superseded in focal-release on 2019-11-23
Published in eoan-release on 2019-07-11
Deleted in eoan-proposed (Reason: moved to release)
spatialite (4.3.0a-6) unstable; urgency=medium

  * Enable all hardening buildflags.
  * Reorder build dependencies.
  * Reorder configure options.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Change priority from extra to optional.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Drop obsolete dbg package.
  * Add Build-Depends-Package field to symbols file.
  * Bump Standards-Version to 4.4.0, changes: priority.
  * Add -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H to CFLAGS for PROJ 6.0.0.
  * Remove package name from lintian overrides.
  * Update URL to SQLite Loadable Extensions documentation.
  * Enable parallel builds, disable parallel test execution.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add patch to fix spelling errors.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <email address hidden>  Thu, 11 Jul 2019 11:31:52 +0200
Superseded in eoan-release on 2019-07-11
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-07-06
Deleted in cosmic-proposed (Reason: moved to release)
spatialite (4.3.0a-5build2) cosmic; urgency=medium

  * No-change rebuild for proj soname change.

 -- Matthias Klose <email address hidden>  Sat, 12 May 2018 19:00:09 +0000

Available diffs

Superseded in cosmic-release on 2018-07-06
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
spatialite (4.3.0a-5build1) zesty; urgency=medium

  * Rebuild against new libproj12.

 -- Gianfranco Costamagna <email address hidden>  Thu, 17 Nov 2016 12:34:23 +0100
Superseded in zesty-release on 2016-12-09
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-02-06
Deleted in xenial-proposed (Reason: moved to release)
spatialite (4.3.0a-5) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Drop build dependency on liblwgeom-dev to untangle
    spatialite->postgis->gdal->spatialite circular dependency.

 -- Bas Couwenberg <email address hidden>  Fri, 05 Feb 2016 16:14:18 +0100

Available diffs

Superseded in xenial-release on 2016-02-06
Deleted in xenial-proposed on 2016-02-08 (Reason: moved to release)
spatialite (4.3.0a-4) unstable; urgency=medium

  * Require at least liblwgeom-dev 2.2.1 for postgis mini-transition.

 -- Bas Couwenberg <email address hidden>  Tue, 12 Jan 2016 21:25:08 +0100

Available diffs

Superseded in xenial-release on 2016-01-13
Deleted in xenial-proposed on 2016-01-14 (Reason: moved to release)
spatialite (4.3.0a-3) unstable; urgency=medium

  * Add patch to switch from lw_vasprintf() to sqlite3_vmprintf().
    (closes: #807556)

 -- Bas Couwenberg <email address hidden>  Thu, 10 Dec 2015 12:14:34 +0100

Available diffs

Superseded in xenial-release on 2015-12-11
Deleted in xenial-proposed on 2015-12-12 (Reason: moved to release)
spatialite (4.3.0a-2) unstable; urgency=medium

  * Require at least liblwgeom-dev 2.2.0 for postgis mini-transition.
  * Drop unused BASE_URL variable from rules file.
  * Add patch to fix 'occurrence' typo.

 -- Bas Couwenberg <email address hidden>  Wed, 09 Dec 2015 23:23:32 +0100

Available diffs

Superseded in xenial-release on 2015-12-10
Deleted in xenial-proposed on 2015-12-11 (Reason: moved to release)
spatialite (4.3.0a-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <email address hidden>  Wed, 09 Sep 2015 08:20:15 +0200

Available diffs

Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
spatialite (4.3.0-3) unstable; urgency=medium

  * Reinstate liblwgeom-dev (build) dependency.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <email address hidden>  Fri, 28 Aug 2015 09:38:42 +0200
Superseded in wily-release on 2015-08-29
Deleted in wily-proposed on 2015-08-30 (Reason: moved to release)
spatialite (4.3.0-1build2) wily; urgency=medium

  * No change rebuild.

 -- Matthias Klose <email address hidden>  Wed, 05 Aug 2015 15:31:11 +0200

Available diffs

Superseded in wily-release on 2015-08-16
Deleted in wily-proposed on 2015-08-18 (Reason: moved to release)
spatialite (4.3.0-1build1) wily; urgency=medium

  * No change rebuild for new liblwgeom-2.1.8

 -- Micah Gersten <email address hidden>  Wed, 22 Jul 2015 00:42:57 -0500
Superseded in wily-proposed on 2015-07-22
spatialite (4.3.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <email address hidden>  Tue, 14 Jul 2015 11:57:46 +0200
Superseded in wily-release on 2015-07-30
Deleted in wily-proposed on 2015-08-30 (Reason: moved to release)
spatialite (4.1.1-10build1) wily; urgency=medium

  * No change rebuild for libproj9

 -- Micah Gersten <email address hidden>  Sat, 30 May 2015 23:16:25 -0500
Superseded in wily-release on 2015-06-25
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
spatialite (4.1.1-10) unstable; urgency=medium


  * Enable verbose test output.
  * Ignore test failures instead of disabling many tests.
    (closes: #746912)

 -- Bas Couwenberg <email address hidden>  Sun, 01 Jun 2014 13:39:11 +0200
Superseded in utopic-release on 2014-06-16
Published in trusty-release on 2014-02-26
Deleted in trusty-proposed (Reason: moved to release)
spatialite (4.1.1-5ubuntu1) trusty; urgency=medium

  * Ignore test results on arm64. See LP: #1284199.
 -- Matthias Klose <email address hidden>   Wed, 26 Feb 2014 12:31:05 +0100
Superseded in trusty-proposed on 2014-02-26
spatialite (4.1.1-5) experimental; urgency=low


  * Enable building with libxml2 support.
  * Add 11-link-libxml2.patch to link libxml2 when building test cases.
  * Update symbols file for XML related symbols.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Bas Couwenberg <email address hidden>  Sat, 14 Dec 2013 16:03:47 +0100
Superseded in trusty-release on 2014-02-26
Deleted in trusty-proposed on 2014-02-28 (Reason: moved to release)
spatialite (3.1.0~rc2-2ubuntu1) trusty; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for new ports.
 -- Matthias Klose <email address hidden>   Thu, 24 Oct 2013 19:36:33 +0200
Superseded in trusty-release on 2013-10-25
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
spatialite (3.1.0~rc2-2) unstable; urgency=low


  * Added 08-split_code.patch: split Spatial Reference System initialization
    code to multiple files, to avoid a GCC bug on some arches (Closes: #664547)
  * Use canonical Vcs-* urls
  * Standards-Version bump to 3.9.4, no changes needed
  * Updated symbols-file

 -- David Paleino <email address hidden>  Sun, 27 Jan 2013 19:57:59 +0100
Superseded in saucy-release on 2013-04-28
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
spatialite (3.1.0~rc2-1ubuntu1) quantal; urgency=low

  * Apply giant patch from upstream to rearrange all the EPSG dataset
    self-initializing code in many small sources, fixing failure to build on
    powerpc (LP: #1012976).
 -- Colin Watson <email address hidden>   Tue, 16 Oct 2012 13:47:38 +0100
Superseded in quantal-release on 2012-10-16
spatialite (3.1.0~rc2-1) unstable; urgency=low


  * New upstream release candidate.
  * Removed 05-dont_relink.patch and 06-fix_soname.patch, both merged
    upstream.

 -- Francesco Paolo Lovergine <email address hidden>  Tue, 03 Apr 2012 15:07:12 +0200
Superseded in quantal-release on 2012-05-24
Published in precise-release on 2011-11-22
spatialite (3.0.0~beta20110817-3) unstable; urgency=medium


  [ Francesco Paolo Lovergine ]
  * Fixed linking order for sqlite3 in debian patch 00-systemlibs.patch.
    (closes: #638929)

  [ David Paleino ]
  * Conditionally disable full EPSG initialization (for srs_init.c)
    on powerpc, and document what projections are available on that
    architecture (Closes: #649302)

 -- David Paleino <email address hidden>  Mon, 21 Nov 2011 12:10:43 +0100
Superseded in precise-release on 2011-11-22
Obsolete in oneiric-release on 2015-04-24
spatialite (2.4.0~rc2-5ubuntu1) oneiric; urgency=low

  * Put -lsqlite after references to libspatialite on link lines
    (LP: #831229).
 -- Colin Watson <email address hidden>   Tue, 23 Aug 2011 02:08:24 +0100
Superseded in oneiric-release on 2011-08-23
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
spatialite (2.4.0~rc2-5) unstable; urgency=medium

  [ Alan Boudreault ]
  * Added spatialite_tool and spatialite_osm binaries in spatialite-bin.
  * Changed build-dep libsqlite3-dev to (>= 3.6.11): spatialite uses "hot backup"
    interface of sqlite3.
    (closes: #576743)
  * VirtualText has been updated long time ago.
    (closes: #530422)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  25 May 2010 10:15:40 +0100

Available diffs

Superseded in maverick-release on 2010-05-25
spatialite (2.4.0~rc2-4) unstable; urgency=medium

  * Now -dev package depends also on libsqlite3-dev.
  * Added a symlink for sqlite3.h within /usr/include/spatialite because other
    softwares could look for that at configure time (e.g. ATM gdal).

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
spatialite (2.3.0-1) unstable; urgency=low

  * New upstream release with partial repackaing to cope with upstream changes.
  * New upstream packaging: now this package includes all spatialite-related 
    tarballs to provide the whole set of binary packages, based on the 
    amalgameted sources.
  * Added quilt support. Now the upstream tarball is included as a
    compressed archive to facilitate interactive cleanaups and patching.
  * [PATCH] split.diff removes embedded sqlite3 and uses system library.
    The patch is built by autoreconfiguring a suitable fixed automake
    root file.
  * [PATCH] tools.diff allows building without pre-installation and fixes use
    of static libs instead of libtools helpers for external libraries.
  * Removed superfluous removing of *-stamp files.
  * Removed init SQL file, initialization is now embedded in the library.
  * Removed README installation: it documents purely installation.
  * Currently still does not build spatialite-gui.
  * Now the library is distributed under MPL 1.1, tools under GPL-3: changed
    debian/copyright to explain that.
  * Now adds pkg-config support (fixed for Debian use).
    (closes: #519251)

126 of 26 results